# $Id: acpid.spec,v 1.3 2003/05/14 20:28:55 dude Exp $

Summary: Advanced Configuration and Power Interface event Daemon.
Name: acpid
Version: 1.0.2
Release: fr1
License: GPL
Group: System Environment/Daemons
Source0: http://prdownloads.sourceforge.net/acpid/acpid-%{version}.tar.gz
Source1: acpid.init
URL: http://acpid.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires(pre): /sbin/chkconfig, /sbin/service

%description
ACPID used to try to handle events intternally.  Rather than try to climb an
ever-growing mountain, ACPID now lets YOU define what events to handle.  Any
event that publishes itself to /proc/acpi/event can be handled.

ACPID reads a set of configuration files which define event->action pairs.
This is how you make it do stuff. See the man page for details.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTPREFIX=%{buildroot}

mkdir -p %{buildroot}/etc/acpi/actions
install -m 644 -D samples/sample.conf %{buildroot}/etc/acpi/events/sample.conf
mkdir -p %{buildroot}/var/log && touch %{buildroot}/var/log/acpid
install -m 755 -D %{SOURCE1} %{buildroot}/etc/init.d/acpid

%post
/sbin/chkconfig --add acpid

%preun
# Only run if this is the last instance to be removed
if [ "$1" = "0" ]; then
        /sbin/service acpid stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del acpid
fi

%files
%defattr(-, root, root)
%dir /etc/acpi
%dir /etc/acpi/events
%dir /etc/acpi/actions
%config /etc/acpi/events/sample.conf
%attr(0640, root, root) /var/log/acpid
/usr/sbin/acpid
/etc/init.d/acpid
/usr/share/man/man8/acpid.8*

%changelog
* Wed May 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.2.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Fri Oct 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Fri Aug 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added better %%{description}, %%{summary}.
- Simplified the %%build and %%files.
- Fixed the %%post and %%preun.

* Fri Mar 15 2002  Tim Hockin <thockin@sun.com>
  - Updated RPM spec with patch from sun for chkconfig on/off
  - Add Changelog, make 'make rpm' use it.

* Wed Mar 13 2002  Tim Hockin <thockin@sun.com>
  - Fixed logging bug - not appending to log (O_APPEND needed)
  - Fix 'make install' to not need root access
  - Fix RPM spec to not need root

* Thu Sep 6 2001 Tim Hockin <thockin@sun.com>
  - 1.0.0

* Thu Aug 16 2001  Tim Hockin <thockin@sun.com>
  - Added commandline options to actions

* Wed Aug 15 2001  Tim Hockin <thockin@sun.com>
  - Added UNIX domain socket support
  - Changed /etc/acpid.d to /etc/acpid/events

* Mon Aug 13 2001  Tim Hockin <thockin@sun.com>
  - added changelog
  - 0.99.1-1

